# -*- coding: utf-8 -*-
from __future__ import print_function
import willie

import random

def setup(bot):
	pass

def shutdown(bot):
	pass

@willie.module.rule(r'(?i)(hi|hallo|moin|morgen|guten morgen|re)[ \t]*$')
def ffpb_greeting(bot, trigger):
	stats = bot.memory['ffpb_stats'] if 'ffpb_stats' in bot.memory else None

	if stats is None:
		print("ffpb_greeting: stats is None -> keine Antwort")
		return

	greeting = random.choice((
		'Hi {0}, bist du einer der {2} Clients an unseren {1} Knoten?',
		'Hey {0}, schön dich zu sehen. Gerade sind übrigens {1} Knoten mit {2} Clients online.',
		'{1} Knoten online, {2} Clients im Netz und {0} gibt uns die Ehre - Herzlich Willkommen :)'))
	bot.say(greeting.format(trigger.nick, stats["nodes_active"], stats["clients"]))

@willie.module.rule(r'(?i)!(sudo )?rm -rf (--no-preserve-root )?/')
def ffpb_rmrf(bot, trigger):
	bot.action("liest dann mal sehr schnell " + trigger.nick + "s Mails o.O")

@willie.module.commands('make_me_a_coffee')
def ffpb_kaffee(bot, trigger):
	bot.say("Kein sudo, kein Kaffee.")

@willie.module.rule(r'(?i)!sudo make_me_a_coffee')
def ffpb_sudokaffee(bot, trigger):
	bot.action("reicht " + trigger.nick + " eine dampfende, aromatisch duftende Tasse Kaffee.")

@willie.module.rule(r'(?i).*(teurer|besser|neuer|cooler|geiler|mehr|weniger) wie')
def ffpb_grammarnazi_als(bot, trigger):
	bot.say("*als")

@willie.module.rule(r'(?i).*(genauso|genau so) als')
def ffpb_grammarnazi_wie(bot, trigger):
	bot.say("*wie")

@willie.module.rule(r'(?i).*als wie')
def ffpb_grammarnazi_alswie(bot, trigger):
	bot.action("denkt spontan an seine Deutschlehrerin")

